Name:           guestfs-browser
Version:        0.1.4
Release:        1%{?dist}
Summary:        Guest filesystem browser

Group:          Applications/Emulators
License:        GPLv2+

URL:            http://people.redhat.com/~rjones/guestfs-browser/
Source0:        http://people.redhat.com/~rjones/guestfs-browser/files/guestfs-browser-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  hivex-devel >= 1.2.4-3
BuildRequires:  libguestfs-devel >= 1.7.24
BuildRequires:  libvirt-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-bitstring-devel
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-camomile-devel, ocaml-camomile-data
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-hivex-devel
BuildRequires:  ocaml-lablgtk-devel
BuildRequires:  ocaml-libvirt-devel
BuildRequires:  ocaml-libguestfs-devel
BuildRequires:  ocaml-xml-light-devel
BuildRequires:  /usr/bin/pod2man
BuildRequires:  /usr/bin/pod2html

Requires:       libguestfs >= 1.7.24
Requires:       /usr/bin/gnome-open
Requires:       /usr/bin/hivexregedit

# Only needed to build the internal documentation.
#BuildRequires:  ocaml-ocamldoc


%description
The Guest Filesystem Browser lets you browse inside the filesystems of
virtual machines and disk images using a simple graphical interface.

This package delivers some of the features of libguestfs and the
guestfish scripting tool to users who don't want to use the command
line.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING HACKING README
%{_bindir}/guestfs-browser
%{_mandir}/man1/guestfs-browser.1*


%changelog
* Tue Dec 14 2010 Richard W.M. Jones <rjones@redhat.com> - 0.1.4-1
- Initial RPM release.
